Bug 140488 - Anaconda crashes on kickstart GUI and Text during partitioning
Anaconda crashes on kickstart GUI and Text during partitioning
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 20:25 EST by John Van Boxtel
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 14:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash Dump (44.90 KB, text/plain)
2004-11-22 20:32 EST, John Van Boxtel
no flags Details

  None (edit)
Description John Van Boxtel 2004-11-22 20:25:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
While performing a kickstart installation, on a HP/Compaq DL380 G3
with attached storage shelf, Anaconda will crash with an execption
error.  If I do not specify the drive in the kickstart config, the
installation works fine.  If I specify the drive I want the partitions
created on this is when it crashes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup an NFS installation server, per documentation
2.Create a kickstart disk specifing a disk under the partition creation
3.Boot the kickstart (I used a floppy)
4.Installation will crash when it goes to partition the drive
    

Actual Results:  Anaconda crashed with an exception error in "autopart"

Expected Results:  The drive should have been partitioned, and
installation continue

Additional info:

Strangly, it tells me that the NFS server directory could not be
mounted, then I hit OK, and enter (without changing values) and it
works.  This also shows up in the logs (doNFSinstall, NFS mount
attempt, doNFSinstall, mounts, ...)
Comment 1 John Van Boxtel 2004-11-22 20:32:42 EST
Created attachment 107275 [details]
Crash Dump
Comment 2 Jeremy Katz 2004-11-22 22:44:45 EST
You appear to have specified to place partitions on the disk sdc which
isn't present in your system.
Comment 3 John Van Boxtel 2004-11-23 11:42:47 EST
Shouldn't I get an error such as "no device found sdc" instead of a
crash?  I will try using a different device, which probably will fix
it, but I still think that the installer should not crash, but exit
with an error.
Comment 4 Jeremy Katz 2004-12-01 14:03:58 EST
Kickstart doesn't always report invalid inputs in the most user friendly of
ways.  Changes for that are listed as an RFE filed elsewhere.

RHEL4 will at least do slightly better about giving more understandable
tracebacks and then hopefully for RHEL5, we'll have things so that the errors
get reported up in an even more user-friendly fashion.

Note You need to log in before you can comment on or make changes to this bug.